#
# spec file for package libfcache
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libfcache
%define lname	libfcache1
Version:        20240414
Release:        1.2
Summary:        Library to provide generic file data cache functions
License:        LGPL-3.0-or-later
Group:          Productivity/File utilities
URL:            https://github.com/libyal/libfcache
Source:         https://github.com/libyal/libfcache/releases/download/%version/libfcache-alpha-%version.tar.gz
Source2:        https://github.com/libyal/libfcache/releases/download/%version/libfcache-alpha-%version.tar.gz.asc
Source9:        %name.keyring
BuildRequires:  c_compiler
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcdata) >= 20240414
BuildRequires:  pkgconfig(libcerror) >= 20240413
BuildRequires:  pkgconfig(libcthreads) >= 20240413
# Various notes: https://en.opensuse.org/libyal

%description
Library to provide generic file data cache functions for the libyal family of libraries.

%package -n %lname
Summary:        Library to provide generic file data cache functions
Group:          System/Libraries

%description -n %lname
Library to provide generic file data cache functions for the libyal family of libraries.

%package devel
Summary:        Development files for libfcache
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
Library to provide generic file data cache functions for the libyal family of libraries.

This subpackage contains libraries and header files for developing
applications that want to make use of libfcache.

%prep
%autosetup -p1

%build
echo "V_%version { global: *; };" >v.sym
%configure --disable-static LDFLAGS="-Wl,--version-script=$PWD/v.sym"
grep '  local' config.log && exit 1
%make_build

%install
%make_install
find %buildroot -type f -name "*.la" -delete -print

%ldconfig_scriptlets -n %lname

%files -n %lname
%license COPYING*
%_libdir/libfcache.so.*

%files devel
%license COPYING*
%_includedir/libfcache.h
%_includedir/libfcache/
%_libdir/libfcache.so
%_libdir/pkgconfig/libfcache.pc
%_mandir/man3/libfcache.3*

%changelog
* Sun Apr 14 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240414
  * No changelog was provided
* Fri Jan 12 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240112
  * No changelog was provided
* Sun Jan 15 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 20230115
  * No changelog was provided
* Sat Nov 26 2022 Jan Engelhardt <jengelh@inai.de>
- Delete system-libs.patch (not needed - system libs are
  autodetected)
* Mon Aug  8 2022 Jan Engelhardt <jengelh@inai.de>
- Add forced symvers
* Mon Jan 10 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 20220110
  * No changes, version bump only.
* Wed May 12 2021 Jan Engelhardt <jengelh@inai.de>
- Update to snapshot 20210413 (33c1ab96)
  * No changelog was provided
- Add system-libs.patch
* Mon Dec 28 2020 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20200708
  * Changes to set cache value function
  * Added clear functionality
- add COPYING.LESSER to the %%license line
* Mon Apr 15 2019 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20181011
  * Worked on cache value usage
  * Worked on get/set value by identifier
* Thu Feb 16 2017 Greg.Freemyer@gmail.com
- update to v0~20170111
* Thu Jan  8 2015 Greg.Freemyer@gmail.com
- update to v0~20150104
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- remove %%if for opensuse version.  Not needed now that libyal is consolidated in security:forensics
- start using libcstring from OBS, not internal version
* Fri Aug 29 2014 Greg.Freemyer@gmail.com
- initial package in OBS (v0~20140601)
